[arch-commits] Commit in python-betamax/repos (2 files)

Felix Yan felixonmars at archlinux.org
Sat Aug 27 04:12:01 UTC 2016


    Date: Saturday, August 27, 2016 @ 04:12:01
  Author: felixonmars
Revision: 187809

archrelease: copy trunk to community-testing-any

Added:
  python-betamax/repos/community-testing-any/
  python-betamax/repos/community-testing-any/PKGBUILD
    (from rev 187808, python-betamax/trunk/PKGBUILD)

----------+
 PKGBUILD |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

Copied: python-betamax/repos/community-testing-any/PKGBUILD (from rev 187808, python-betamax/trunk/PKGBUILD)
===================================================================
--- community-testing-any/PKGBUILD	                        (rev 0)
+++ community-testing-any/PKGBUILD	2016-08-27 04:12:01 UTC (rev 187809)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-betamax
+pkgname=('python-betamax' 'python2-betamax')
+pkgver=0.8.0
+pkgrel=1
+pkgdesc="A VCR imitation for python-requests"
+arch=('any')
+license=('GPL')
+url='https://github.com/sigmavirus24/betamax'
+makedepends=('python-setuptools' 'python2-setuptools' 'python-requests' 'python2-requests' 'git')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python2-mock')
+source=("git+https://github.com/sigmavirus24/betamax.git#tag=$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cp -a betamax{,-py2}
+}
+
+check() {
+  # Failure about isinstance urllib3.response.HTTPResponse affects only tests.
+  # We need to investigate it more.
+
+  cd "$srcdir"/betamax
+  python setup.py ptr || warning "Tests failed"
+
+  cd "$srcdir"/betamax-py2
+  python2 setup.py ptr || warning "Tests failed"
+}
+
+package_python-betamax() {
+  depends=('python-requests')
+
+  cd betamax
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-betamax() {
+  depends=('python2-requests')
+
+  cd betamax-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list